SuSE 10 Security Update : vpnc (ZYPP Patch Number 7692)

High Nessus Plugin ID 57259


The remote SuSE 10 host is missing a security-related patch.


This update of vpnc fixes a flaw in the modify_resolvconf_suse script that could potentially allow remote attackers to inject commands through specially crafted DNS domains. (CVE-2011-2660)


Apply ZYPP patch number 7692.

See Also

Plugin Details

Severity: High

ID: 57259

File Name: suse_vpnc-7692.nasl

Version: $Revision: 1.2 $

Type: local

Agent: unix

Published: 2011/12/13

Modified: 2012/05/17

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: cpe:/o:suse:suse_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2011/08/17

Reference Information

CVE: CVE-2011-2660